<template>
    <ob-form :form-data="formData" :form-model="formModel" @submit="onSubmitHandler">
        <div class="row">
            <div class="col-xs-12">
                <ob-input
                        label="Роль участника/вид ресурса"
                        v-model="formData.name"
                        property="name"
                        :readonly="true"
                ></ob-input>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-stepper
                        label="Срок действия проверки, в днях"
                        v-model.number="formData.periodInDay"
                        property="periodInDay"
                        :readonly="true"
                ></ob-stepper>
            </div>
        </div>
    </ob-form>
</template>

<script>
    import FormValidationMixin from "common-components/src/obComponents/obForm/FormValidationMixin";
    import verificationModel from '../../../models/verification'
    import ObForm from "common-components/src/obComponents/obForm";
    import ObInput from "common-components/src/obComponents/obInput";
    import ObStepper from "common-components/src/obComponents/obStepper";

    export default {
        name: "VerificationPopup",
        components: {ObStepper, ObInput, ObForm},
        mixins: [
            FormValidationMixin
        ],
        computed: {
            formModel () {
                return verificationModel
            }
        },
        methods: {
            onSubmitHandler () {
                this.$emit('close')
            }
        }
    }
</script>

<style scoped>

</style>
